Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRConstruction/PrintFormat.cs	(revision 37)
@@ -273,160 +570,45 @@
         }
         #endregion
 
-        #region ページ印刷
+        #region ブロック１データセット（ヘッダー部作成）
         /// <summary>
-        /// ページ印刷
+        /// ブロック１データセット（ヘッダー部作成）
         /// </summary>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer PrintPage(List<string> strParaList)
+        private CommonDefine.RetunAnswer SetBlock1Data(DailyDataConstruction DailyRec, int PageCnt)
         {
-            IODailyDataConstruction DailyDB = new IODailyDataConstruction();
-            IOConstructionBaseInfoDetail InfoDetailDB = new IOConstructionBaseInfoDetail();
-            IOPurchaseOrderDetail OrderDetailDB = new IOPurchaseOrderDetail();
-            IOMSubContractor ContractorDB = new IOMSubContractor();
             try
             {
-            //    // 工事名称取得
-            //    string strSQL = InfoDetailDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-            //    ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
-            //    if (!InfoDetailDB.SelectAction(strSQL, ref workRec)) return CommonDefine.RetunAnswer.Answer2;
-            //    strParaList.Add(workRec.DetailString);
+                // 日付セット
+                string strJapanDate = CommonMotions.cnvJapaneseCalendar(DailyRec.DailyDataDate);
+                string Wareki = CommonMotions.GetNameOfAnEra(DailyRec.DailyDataDate);
+                for (int i = 0; i < PageCnt; i++)
+                {
+                    int RowCnt = 2 + (s_NumberOfRowInDetail * i);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", RowCnt), Wareki);                                // 和暦
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", RowCnt),
+                                                strJapanDate.Substring(0, strJapanDate.IndexOf("年")).Replace(Wareki, ""));      // 年
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("P", RowCnt),
+                                                DailyRec.DailyDataDate.Month.ToString("00"));                                   // 月
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("R", RowCnt),
+                                                DailyRec.DailyDataDate.Day.ToString("00"));                                     // 日
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("T", RowCnt),
+                                                CommonDefine.DayOfTheWeekString[(int)DailyRec.DailyDataDate.DayOfWeek]);        // 曜日
 
-            //    // 工事日報データ取得
-            //    strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-            //    strSQL = string.Format(" AND PERSONCODE = {0}", m_ConstructionCode);
-            //    strSQL += " ORDER BY DAILYDATADATE";
-            //    List<DailyDataConstruction> DailyList = new List<DailyDataConstruction>();
-            //    if (!DailyDB.SelectAction(strSQL, ref DailyList)) return CommonDefine.RetunAnswer.Answer3;
-            //    if (DailyList.Count == 0) return CommonDefine.RetunAnswer.Answer3;
+                    RowCnt = 3 + (s_NumberOfRowInDetail * i);
+                    // 工事名称セット
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", RowCnt),
+                                                m_ConstructionBaseInfoDetail.DetailString);
+                    // 天気
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("P", RowCnt),
+                                                DailyRec.Weather);
 
-            //    string strPageName = string.Empty;
-            //    foreach (DailyDataConstruction DailyRec in DailyList)
-            //    {
-            //        // 対象日文字列作成
-            //        string strTargetDate = DailyRec.DailyDataDate.ToShortDateString();
-            //        // 工事日報シートの取得
-            //        m_UsedExcel.ExcelSheetGet(SheetName, true, strTargetDate.Replace("/", "-"));
-
-            //        // ----- ページ編集
-            //        // ブロック１編集
-            //        CommonDefine.RetunAnswer RARet = SetBlock1Data(DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック２編集
-            //        RARet = SetBlock2Data(0, DailyRec, workRec.DetailString);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック３編集
-            //        RARet = SetBlock3Data(0, DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック４編集
-            //        RARet = SetBlock4Data(0, DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック５編集
-            //        RARet = SetBlock5Data(DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック２編集
-            //        RARet = SetBlock2Data(63, DailyRec, workRec.DetailString);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック３編集
-            //        RARet = SetBlock3Data(63, DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ブロック４編集
-            //        RARet = SetBlock4Data(63, DailyRec);
-            //        if (RARet != CommonDefine.RetunAnswer.Answer0) return RARet;
-
-            //        // 中断処理
-            //        if (m_Canceled)
-            //        {
-            //            //キャンセルされたときにコントロールの値を変更する
-            //            this.Invoke(m_canceledDlg);
-            //            return CommonDefine.RetunAnswer.Answer0;
-            //        }
-
-            //        // ページ名称セット
-            //        strPageName = string.Format("{0}約款", ContractorRec.CompanyName);
-            //        // 約款ページ取得
-            //        m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Clause], true, strPageName);
-            //        //// 約款ページ行サイズ変更
-            //        //m_UsedExcel.ExcelRaneSizeSet("A1:O88", s_DefaultRowSize);
-            //        //// 約款ページ列サイズ変更
-            //        //m_UsedExcel.ExcelRaneSizeSet("A1:O88", s_DefaultColumnSize, false);
-            //        // 約款ページ縦・横セット
-            //        m_UsedExcel.ExcelFitCountSet(2, 1);
-
-
-            //        // コントロールの表示を変更する
-            //        this.Invoke(m_progressDlg, new object[] { ++m_ProgressCount });
-            //    }
-
-            //    // コントロールの表示を変更する
-            //    this.Invoke(m_progressDlg, new object[] { m_ProcessCount });
-
+                    // 判子印字
+                    ExcelPrintCoverSeal(DailyRec, i);
+                }
                 return CommonDefine.RetunAnswer.Answer0;
             }
-            catch (System.Exception ex)
+            catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return CommonDefine.RetunAnswer.Answer1;
@@ -433,70 +615,79 @@
             }
             finally
             {
-                DailyDB.close(); DailyDB = null;
-                InfoDetailDB.close(); InfoDetailDB = null;
-                OrderDetailDB.close(); OrderDetailDB = null;
-                ContractorDB.close(); ContractorDB = null;
             }
         }
         #endregion
 
-        #region ブロック１データセット（作業内容）
+        #region ブロック２データセット（日報明細）
         /// <summary>
-        /// ブロック１データセット（作業内容）
+        /// ブロック２データセット（日報明細）
         /// </summary>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer SetBlock1Data(DailyDataConstruction DailyRec)
+        private CommonDefine.RetunAnswer SetBlock2Data(ArrayList DetailList)
         {
-            IODailyDataDetail DetailDB = new IODailyDataDetail();
             try
             {
-                //// 協力会社名取得
-                //string strSQL = DetailDB.CreatePrimarykeyString(DailyRec.CompanyCode);
-                //SubContractorMaster ContractorRec = new SubContractorMaster();
-                //if (!DetailDB.SelectAction(strSQL, ref ContractorRec)) return CommonDefine.RetunAnswer.Answer6;
+                int PageCnt = 0;
+                int LineCnt = s_FixDetailStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                double Total1 = 0;
+                double Total2 = 0;
+                double Total3 = 0;
+                foreach(object[] objRec in DetailList)
+                {
+                    if (RowCnt > s_FixDetailListRow)
+                    {
+                        // 当日人員
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), Total1.ToString("#,0.0"));
+                        // 累計人員
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), Total2.ToString("#,0.0"));
+                        // 翌日予定人員	
+                        m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), Total3.ToString("#,0.0"));
 
-                //// 相手先住所長さ判定
-                //string strA2 = ContractorRec.Address1 + ContractorRec.Address2 + ContractorRec.Address3;
-                //string strA3 = string.Empty;
-                //if (strA2.Length > 22)
-                //{
-                //    strA2 = ContractorRec.Address1 + ContractorRec.Address2;
-                //    strA3 = ContractorRec.Address3;
-                //}
-                //// 相手先会社名編集
-                //string strA4 = string.Empty;
-                //switch (ContractorRec.CorporateStatusPoint)
-                //{
-                //    case 0:
-                //        strA4 = ContractorRec.CompanyName;
-                //        break;
-                //    case 1:
-                //        strA4 = ContractorRec.CorporateStatusName + "　" + ContractorRec.CompanyName;
-                //        break;
-                //    case 2:
-                //        strA4 = ContractorRec.CompanyName + "　" + ContractorRec.CorporateStatusName;
-                //        break;
-                //}
+                        PageCnt++;
+                        LineCnt = s_FixDetailStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
 
-                //m_UsedExcel.ExcelCellSet("A6", "〒" + ContractorRec.ZipCode);                   // 発注先 郵便番号
-                //m_UsedExcel.ExcelCellSet("A7", strA2);                                          // 発注先 住所1
-                //m_UsedExcel.ExcelCellSet("B8", strA3);                                          // 発注先 住所2
-                //m_UsedExcel.ExcelCellSet("B10", strA4);                                         // 発注先 会社
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 職　種
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 業者名
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("C", LineCnt), CommonMotions.cnvString(objRec[1]));
+                    // 当日人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvDouble(objRec[2]).ToString("#,0.0"));
+                    Total1 += CommonMotions.cnvDouble(objRec[2]);
+                    // 累計人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), CommonMotions.cnvDouble(objRec[3]).ToString("#,0.0"));
+                    Total2 += CommonMotions.cnvDouble(objRec[3]);
+                    // 当日作業内容
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[4]));
+                    // 翌日作業内容
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("R", LineCnt), CommonMotions.cnvString(objRec[5]));
+                    // 翌日予定人員	
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), CommonMotions.cnvDouble(objRec[6]).ToString("#,0.0"));
+                    Total3 += CommonMotions.cnvDouble(objRec[6]);
 
-                //m_UsedExcel.ExcelCellSet("L8", "〒" + CommonMotions.SystemMasterData.ZipCode);          // 自社 郵便番号
-                //m_UsedExcel.ExcelCellSet("L9", CommonMotions.SystemMasterData.Address1 +
-                //                                CommonMotions.SystemMasterData.Address2 +
-                //                                CommonMotions.SystemMasterData.Address3);               // 自社 住所1
-                //m_UsedExcel.ExcelCellSet("L10", CommonMotions.SystemMasterData.CompanyName1 +
-                //                                CommonMotions.SystemMasterData.CompanyName2);           // 自社 会社名
-                //m_UsedExcel.ExcelCellSet("L11", "TEL " + CommonMotions.SystemMasterData.PhoneNumber);   // 自社 電話番号
-                //m_UsedExcel.ExcelCellSet("L12", "FAX " + CommonMotions.SystemMasterData.FaxNumber);     // 自社 FAX番号
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
+                // 合計印刷
+                if (Total1 != 0)
+                {
+                    LineCnt = (s_FixDetailStartLine + s_FixDetailListRow) + (PageCnt * s_NumberOfRowInDetail);
 
+                    // 当日人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), Total1.ToString("#,0.0"));
+                    // 累計人員
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("E", LineCnt), Total2.ToString("#,0.0"));
+                    // 翌日予定人員	
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("AD", LineCnt), Total3.ToString("#,0.0"));
+                }
 
-                //// 判子印字
-                //ExcelPrintCoverSeal(m_ConstructionBaseInfo.ConstructionPersonCode);
-
                 return CommonDefine.RetunAnswer.Answer0;
             }
             catch (Exception ex)
@@ -504,79 +695,53 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return CommonDefine.RetunAnswer.Answer1;
             }
-            finally
-            {
-                DetailDB.close(); DetailDB = null;
-            }
         }
         #endregion
 
-        #region ブロック２データセット（ページヘッダー）
+        #region ブロック３データセット（車両）
         /// <summary>
-        /// ブロック２データセット（ページヘッダー）
+        /// ブロック３データセット（車両）
         /// </summary>
-        /// <param name="startLine"></param>
-        /// <param name="OrderRec"></param>
-        /// <param name="ConstractionName"></param>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer SetBlock2Data(int startLine, PurchaseOrder OrderRec, string ConstractionName)
+        private CommonDefine.RetunAnswer SetBlock3Data(ArrayList VehiclesList)
         {
-            IOConstructionBaseInfoDetail InfoDetailDB = new IOConstructionBaseInfoDetail();
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
-                // 工事場所取得
-                string strSQL = InfoDetailDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2}) ORDER BY DetailNo",
-                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,
-                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,
-                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                List<ConstructionBaseInfoDetail> DetailList=new List<ConstructionBaseInfoDetail>();
-                if (!InfoDetailDB.SelectAction(strSQL, ref DetailList)) return CommonDefine.RetunAnswer.Answer2;
-
-                string PlaceString = string.Empty;
-                foreach (ConstructionBaseInfoDetail DetailRec in DetailList)
+                int PageCnt = 0;
+                int LineCnt = s_FixVehiclesStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in VehiclesList)
                 {
-                    PlaceString += DetailRec.DetailString;
-                }
+                    if (RowCnt > s_FixVehiclesListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixVehiclesStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
 
-                // 簡易版支払い条件
-                string PaymentTermsString = string.Empty;
-                if (OrderRec.PaymentTerms == 0)
-                    PaymentTermsString = "当社規定通り";
-                else
-                    PaymentTermsString = "完成払い";
-                    
-                // 工事担当者取得
-                strSQL = PersonDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                PersonDB.SelectAction(strSQL, ref PersonRec);
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 機　　種
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 性能
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvString(objRec[1]));
+                    // 所有会社
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[2]));
+                    // 当日運転者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", LineCnt), CommonMotions.cnvString(objRec[3]));
+                    // 作業時間開始
+                    DateTime StartTime = CommonMotions.cnvDate(objRec[4]);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("S", LineCnt), StartTime.ToShortTimeString());
+                    // 作業時間終了
+                    DateTime EndTime = CommonMotions.cnvDate(objRec[5]);
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("Z", LineCnt), EndTime.ToShortTimeString());
 
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
+                }
 
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (21 + startLine)), ConstractionName);                                // 工事名称
-                if (m_PrintDate)                                                                                                                // 作成日付
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", (21 + startLine)), OrderRec.CreateDate.ToShortDateString());
-                else
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("N", (21 + startLine)), GetNameOfAnEra() + "   年   月   日");
-
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (22 + startLine)), PlaceString);                                     // 施工及び納入場所
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (23 + startLine)), m_ConstructionCode.ToString());                   // 工事番号
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("I", (23 + startLine)),
-                                                                string.Format("{0}-{1}", m_ConstructionCode, OrderRec.SeqNo.ToString("000")));  // 発注番号
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("L", (23 + startLine)), PaymentTermsString);                              // 支払い条件
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (24 + startLine)),
-                                                                m_ConstructionBaseInfo.ConstructionPeriodStart.ToShortDateString());            // 工期開始日
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("I", (24 + startLine)),
-                                                                m_ConstructionBaseInfo.ConstructionPeriodEnd.ToShortDateString());              // 工事終了日
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", (25 + startLine)),
-                                                                            string.Format("￥{0}", OrderRec.OrderPrice.ToString("#,0")));       // 発注金額（税別）
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("I", (25 + startLine)), PersonRec.PersonName);                            // 現場担当者
-
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("L", (25 + startLine)),
-                                                                        string.Format("現金　　{0}　％", OrderRec.CashRatio.ToString("0.0")));    // 現金割合
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("O", (25 + startLine)),
-                                                                        string.Format("手形　　{0}　％", (100 - OrderRec.CashRatio).ToString("0.0")));   // 手形割合
-
                 return CommonDefine.RetunAnswer.Answer0;
             }
             catch (Exception ex)
@@ -584,53 +749,48 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return CommonDefine.RetunAnswer.Answer1;
             }
-            finally
-            {
-                InfoDetailDB.close(); InfoDetailDB = null;
-                PersonDB.close(); PersonDB = null;
-            }
         }
         #endregion
 
-        #region ブロック３データセット（明細）
+        #region ブロック４データセット（資材）
         /// <summary>
-        /// ブロック３データセット（明細）
+        /// ブロック４データセット（資材）
         /// </summary>
-        /// <param name="startLine"></param>
-        /// <param name="OrderRec"></param>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer SetBlock3Data(int startLine, PurchaseOrder OrderRec)
+        private CommonDefine.RetunAnswer SetBlock4Data(ArrayList MaterialsList)
         {
-            IOPurchaseOrderDetail OrderDetailDB = new IOPurchaseOrderDetail();
             try
             {
-                // 注文書明細データ取得
-                string strSQL = OrderDetailDB.CreatePrimarykeyString(OrderRec.ConstructionCode, OrderRec.SeqNo);
-                strSQL += string.Format(" AND GROUPCOUNT = {0}", 0);
-                strSQL += " ORDER BY LINECOUNT";
-                List<PurchaseOrderDetail> DetailList = new List<PurchaseOrderDetail>();
-                if (!OrderDetailDB.SelectAction(strSQL, ref DetailList)) return CommonDefine.RetunAnswer.Answer4;
-                if (DetailList.Count == 0) return CommonDefine.RetunAnswer.Answer4;
+                int PageCnt = 0;
+                int LineCnt = s_FixMaterialsStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in MaterialsList)
+                {
+                    if (RowCnt > s_FixMaterialsListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixMaterialsStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
 
-                int Linecnt = 28 + startLine;
-                foreach (PurchaseOrderDetail DetailRec in DetailList)
-                {
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", Linecnt), DetailRec.FirstString);                // 工種/品名
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", Linecnt), DetailRec.SecondString);               // 内容内訳
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("I", Linecnt),
-                                                                                    DetailRec.UnitCount.ToString("#,0"));       // 数量
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", Linecnt),
-                                                                                    DetailRec.UnitPrice.ToString("#,#"));       // 単価
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("K", Linecnt), DetailRec.UnitName);                   // 単位
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("O", Linecnt),
-                                                                                    DetailRec.OrdersLinePrice.ToString("#,0")); // 金額
-                    Linecnt++;
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 資材名
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 数量
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvInt(objRec[1]).ToString("#,0"));
+                    // 製作会社
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("F", LineCnt), CommonMotions.cnvString(objRec[2]));
+                    // 納品業者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("M", LineCnt), CommonMotions.cnvString(objRec[3]));
+                    // 品質管理次項												
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("S", LineCnt), CommonMotions.cnvString(objRec[4]));
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
                 }
-                // セル結合
-                m_UsedExcel.ExcelCellMerge(m_UsedExcel.CreateCellString("D", Linecnt), m_UsedExcel.CreateCellString("L", Linecnt));
-                // データセット
-                m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", Linecnt),
-                            string.Format(s_LastRowString, CommonMotions.cnvJapaneseCalendar(OrderRec.LastRowStringDate)));     // 最終行文字列
 
                 return CommonDefine.RetunAnswer.Answer0;
             }
@@ -639,39 +799,41 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return CommonDefine.RetunAnswer.Answer1;
             }
-            finally
-            {
-                OrderDetailDB.close(); OrderDetailDB = null;
-            }
         }
         #endregion
 
-        #region ブロック４データセット（発注条件）
+        #region ブロック５データセット（業者打合せ）
         /// <summary>
-        /// ブロック４データセット（発注条件）
+        /// ブロック５データセット（業者打合せ）
         /// </summary>
-        /// <param name="startLine"></param>
-        /// <param name="OrderRec"></param>
         /// <returns></returns>
-        private CommonDefine.RetunAnswer SetBlock4Data(int startLine, PurchaseOrder OrderRec)
+        private CommonDefine.RetunAnswer SetBlock5Data(ArrayList SubcontrList)
         {
-            IOPurchaseOrderDetail OrderDetailDB = new IOPurchaseOrderDetail();
             try
             {
-                // 注文書明細データ取得
-                string strSQL = OrderDetailDB.CreatePrimarykeyString(OrderRec.ConstructionCode, OrderRec.SeqNo);
-                strSQL += string.Format(" AND GROUPCOUNT = {0}", 1);
-                strSQL += " ORDER BY LINECOUNT";
-                List<PurchaseOrderDetail> DetailList = new List<PurchaseOrderDetail>();
-                if (!OrderDetailDB.SelectAction(strSQL, ref DetailList)) return CommonDefine.RetunAnswer.Answer4;
-                // 発注条件はない場合がある
-                if (DetailList.Count == 0) return CommonDefine.RetunAnswer.Answer0;
+                int PageCnt = 0;
+                int LineCnt = s_FixSubcontrStartLine;
+                int RowCnt = 1;
+                int NoCnt = 1;
+                foreach (object[] objRec in SubcontrList)
+                {
+                    if (RowCnt > s_FixSubcontrListRow)
+                    {
+                        PageCnt++;
+                        LineCnt = s_FixSubcontrStartLine + (PageCnt * s_NumberOfRowInDetail);
+                        RowCnt = 1;
+                    }
 
-                int Linecnt = 44 + startLine;
-                foreach (PurchaseOrderDetail DetailRec in DetailList)
-                {
-                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("J", Linecnt), DetailRec.FirstString);      // 発注条件
-                    Linecnt++;
+                    // №
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("A", LineCnt), NoCnt.ToString());
+                    // 出席者
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("B", LineCnt), CommonMotions.cnvString(objRec[0]));
+                    // 内容及び指示事項
+                    m_UsedExcel.ExcelCellSet(m_UsedExcel.CreateCellString("D", LineCnt), CommonMotions.cnvString(objRec[1]));
+
+                    RowCnt++;
+                    LineCnt++;
+                    NoCnt++;
                 }
 
                 return CommonDefine.RetunAnswer.Answer0;
